Name:           s709
Version:        2.3.5
Release:        1%{?dist}
Summary:        IBM 7090 simulator

Group:          Application/Emulators
License:        Public Domain
URL:            http://www.cozx.com/~dpitts/7090
Source0:        ftp://www.cozx.com/pub/ibm709x/%{name}-%{version}.tar.gz


%description
s709 is an emulator for the IBM 709/709x family of computers. The sources also
contain utility programs for reading and writing files, both tape and card
images. Changes have been made to these utilities to run in the IBSYS mode as
default. DASD devices, disk and drum, are supported for both IBSYS and CTSS.

To obtain CTSS information consult the README's in the appropriate CTSS
distributions.


%prep
%setup -q

# remove non-unix scripts
rm *.bat


%build
# parallel make doesn't work
make DEBUG="$RPM_OPT_FLAGS"


%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
make install INSTDIR=$RPM_BUILD_ROOT%{_bindir}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
install -p -m 644 run* $RPM_BUILD_ROOT%{_datadir}/%{name}


%files
%doc README.txt
%{_bindir}/*
%{_datadir}/%{name}


%changelog
* Sat Apr 14 2012 Dan Horák <dan[at]danny.cz> 2.3.5-1
- update to 2.3.5

* Tue Sep  6 2011 Dan Horák <dan[at]danny.cz> 2.3.3-1
- update to 2.3.3

* Mon Sep 20 2010 Dan Horák <dan[at]danny.cz> 2.3.1-1
- update to 2.3.1

* Wed Aug 18 2010 Dan Horák <dan[at]danny.cz> 2.3.0-1
- update to 2.3.0

* Thu Apr  1 2010 Dan Horák <dan[at]danny.cz> 2.2.5-1
- update to 2.2.5

* Wed Apr 29 2009 Dan Horák <dan[at]danny.cz> 2.2.4-1
- initial Fedora version
